using System;

namespace ConsoleApp8
{
    class Program
    {
        static void Main(string[] args)
        {
            string c = Console.ReadLine();
            string[] a12 = Console.ReadLine().Split();
            int a1 = int.Parse(a12[0]);
            int a2 = int.Parse(a12[1]);



            if(a1 == a2)
            {
                for (int i = 0; i < a1; i++) Console.Write(c);
                
            }
            else if (Math.Abs(a1 - a2) >= 2) Console.Write("nemoguce");
            else if(a1 > a2)
            {
                for (int i = 0; i < a2; i++) Console.Write(c);
                Console.Write(c[0]);
            }
            else if(a2 > a1)
            {
                for (int i = 0; i < a1; i++) Console.Write(c);
                Console.Write(c[0]);
            }
        }
    }
}